> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collections Summary



## OpenAPI

````yaml /openapi.json get /v1/analytics/collections/summary
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/analytics/collections/summary:
    get:
      tags:
        - Analytics
      summary: Get Collections Summary
      operationId: analytics.collections-summary
      parameters:
        - in: query
          name: interval
          description: The time period for the query
          schema:
            type: string
            default: monthly
            enum:
              - weekly
              - monthly
              - all
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CollectionsSummaryLine'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    CollectionsSummaryLine:
      type: object
      properties:
        period_end:
          type: string
          format: date
          description: The period end date.
        period_start:
          type: string
          format: date
          description: The period start date.
        avg_days_to_pay_from_due:
          type: number
          description: Average days to payment from due date
        avg_days_to_pay_from_issued:
          type: number
          description: Average days to payment from issued date
        amount_collected:
          type: integer
          description: Total amount collected
        amount_collected_stuut_touched:
          type: integer
          description: Total amount collected with stuut
        amount_collected_automated:
          type: integer
          description: Total amount collection through Stuut automation
        amount_collected_other:
          type: integer
          default: 0
          description: Total amount collected outside of Stuut.
        amount_issued:
          type: integer
          description: Total amount issued
        amount_issued_stuut_touched:
          type: integer
          description: Total amount issued for invoices touched by stuut
        amount_overdue:
          type: integer
          description: Total remaining overdue for the period
        amount_overdue_stuut_touched:
          type: integer
          description: Total remaining overdue for the period
        amount_receivables:
          type: integer
          description: Total accounts receivable
        amount_receivables_stuut_touched:
          type: integer
          description: Total accounts receivable with stuut
        balance:
          type: integer
          description: Total open balance
        balance_stuut_touched:
          type: integer
          description: Total open balance of invoices touched by stuut
        balance_for_period:
          type: integer
          description: Total open balance for the period
        balance_for_period_stuut_touched:
          type: integer
          description: Total open balance for the period of invoices touched by stuut
        balance_period_start:
          type: integer
          description: Total open balance of invoices
        balance_period_start_stuut_touched:
          type: integer
          description: Total open balance of invoices touched by stuut
        dso:
          type: number
          default: null
          description: Days of sale outstanding
          nullable: true
        dso_stuut_touched:
          type: number
          default: null
          description: Days of sale outstanding with stuut
          nullable: true
        invoices_collected:
          type: integer
          description: 'Total # invoices collected on'
        invoices_collected_stuut_touched:
          type: integer
          description: 'Total # invoices collected on with stuut'
        invoices_issued:
          type: integer
          description: 'Total # invoices issued'
        invoices_open:
          type: integer
          description: 'Total # open invoices'
        invoices_overdue:
          type: integer
          description: 'Total # overdue invoices'
        invoices_paid:
          type: integer
          description: 'Total # paid invoices'
        invoices_touched:
          type: integer
          description: 'Total # invoices touched by stuut'
        invoices_touched_and_collected:
          type: integer
          description: 'Total # invoices touched by stuut'
        invoices_touched_and_collected_ratio:
          type: number
          default: 0
          description: 'Total # invoices touched by stuut'
      required:
        - amount_collected
        - amount_collected_automated
        - amount_collected_stuut_touched
        - amount_issued
        - amount_issued_stuut_touched
        - amount_overdue
        - amount_overdue_stuut_touched
        - amount_receivables
        - amount_receivables_stuut_touched
        - avg_days_to_pay_from_due
        - avg_days_to_pay_from_issued
        - balance
        - balance_for_period
        - balance_for_period_stuut_touched
        - balance_period_start
        - balance_period_start_stuut_touched
        - balance_stuut_touched
        - invoices_collected
        - invoices_collected_stuut_touched
        - invoices_issued
        - invoices_open
        - invoices_overdue
        - invoices_paid
        - invoices_touched
        - invoices_touched_and_collected
        - period_end
        - period_start
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````